Autor Tópico: Erro ao instalar Kodi  (Lida 1569 vezes)

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Erro ao instalar Kodi
« Online: 13 de Novembro de 2017, 13:44 »
Olha eu aqui outra vez... ;D
Tentei pelo aplicativo Programas e pelo Terminal:
sudo apt-get install kodi
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Pacotes sugeridos:
  kodi-pvr-mythtv kodi-pvr-vuplus kodi-pvr-vdr-vnsi kodi-pvr-njoy
  kodi-pvr-nextpvr kodi-pvr-mediaportal-tvserver kodi-pvr-tvheadend-hts
  kodi-pvr-dvbviewer kodi-pvr-argustv kodi-pvr-iptvsimple
  kodi-audioencoder-vorbis kodi-audioencoder-flac kodi-audioencoder-lame
Os NOVOS pacotes a seguir serão instalados:
  kodi
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 3 não atualizados.
3 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/20,1 MB de arquivos.
Depois desta operação, 37,1 MB adicionais de espaço em disco serão usados.
N: A ignorar o ficheiro 'getdeb.list’' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
(Lendo banco de dados ... 189622 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../kodi_2%3a17.5+git20171027.2324-final-0artful_all.deb ...
A descompactar kodi (2:17.5+git20171027.2324-final-0artful) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/kodi_2%3a17.5+git20171027.2324-final-0artful_all.deb (--unpack):
 a tentar sobre-escrever '/usr/share/icons/hicolor/128x128/apps/kodi.png', que também está no pacote kodi-data 2:17.3+dfsg1-3
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/kodi_2%3a17.5+git20171027.2324-final-0artful_all.deb
N: A ignorar o ficheiro 'getdeb.list’' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@htpc-ULTRATOP-BRIX:~#
« Última modificação: 15 de Novembro de 2017, 13:14 por maurente »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #1 Online: 13 de Novembro de 2017, 13:52 »
Tem "sujeira"de ppa's nos repositórios, traga ao tópico o resultado desse comando:

Código: [Selecionar]
egrep -v '^#|^ *$' /etc/apt/sources.list /etc/apt/sources.list.d/*
Não vá digitar isso aí acima, raramente dará certo, evite erros de retranscrição, copie com o mouse, ainda com o botão direito do mouse cole numa janela de terminar, aí então é só dar um <enter> para executar. Depois, também com o mouse, copie a saída e cole o resultado aqui no tópico.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #2 Online: 13 de Novembro de 2017, 13:57 »
Tá na mão:

htpc@htpc-ULTRATOP-BRIX:~$ egrep -v '^#|^ *$' /etc/apt/sources.list /etc/apt/sources.list.d/*
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful main restricted
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful-updates main restricted
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful universe
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful-updates universe
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful multiverse
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful-updates multiverse
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ artful-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://archive.canonical.com/ubuntu artful partner
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security main restricted
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu artful-security multiverse
/etc/apt/sources.list.d/getdeb.list:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list.save:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list.save:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list.save:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/getdeb.list.save:deb http://archive.getdeb.net/ubuntu trusty-getdeb games
/etc/apt/sources.list.d/google-chrome.list:deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/google-chrome.list.save:deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/jd-team-ubuntu-jdownloader-artful.list:deb http://ppa.launchpad.net/jd-team/jdownloader/ubuntu artful main
/etc/apt/sources.list.d/jd-team-ubuntu-jdownloader-artful.list.save:deb http://ppa.launchpad.net/jd-team/jdownloader/ubuntu artful main
/etc/apt/sources.list.d/spotify.list:deb http://repository.spotify.com stable non-free
/etc/apt/sources.list.d/spotify.list.save:deb http://repository.spotify.com stable non-free
/etc/apt/sources.list.d/stebbins-ubuntu-handbrake-releases-artful.list:deb http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu artful main
/etc/apt/sources.list.d/stebbins-ubuntu-handbrake-releases-artful.list.save:deb http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu artful main
/etc/apt/sources.list.d/team-xbmc-ubuntu-ppa-artful.list:deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu artful main
/etc/apt/sources.list.d/team-xbmc-ubuntu-ppa-artful.list.save:deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu artful main
/etc/apt/sources.list.d/webupd8team-ubuntu-java-artful.list:deb http://ppa.launchpad.net/webupd8team/java/ubuntu artful main
/etc/apt/sources.list.d/webupd8team-ubuntu-java-artful.list.save:deb http://ppa.launchpad.net/webupd8team/java/ubuntu artful main
htpc@htpc-ULTRATOP-BRIX:~$

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #3 Online: 13 de Novembro de 2017, 14:13 »
Entender o sistema de repositórios do Linux é por vezes um grande problema até "pegar o jeito" de como funciona.

Veja nessa lista produzida o getdeb referenciando um repositório trusty

O tal "trusty" é o codename para a versão 14.04 do Ubuntu.

Está errado, mas o que isso significa?

Oras, se o seu sistema é o 17.10 Artful, ele não pode ter na lista de repositórios um repositório que seja para a versão 14.04 Trusty.

Em outras palavras, esse repositório getdeb apenas **não** tem versão para o Ubuntu 17.10, então não faz o menor sentido mantê-lo na lista de repositórios do sistema.

Bem, comece limpando a área fazendo:

Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/getdeb.list*
Atualize o sistema:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Os dois comandos acima devem terminar sem erros de quaisquer espécie.

Não precisa trazer ao tópico o resultado do processamentos dos dois comandos acima, não ajuda em nada, a menos que apresentem erros, aí precisará examinar.

Se deu certo, apenas diga aqui do tópico que deu certo, para então tratarmos do kodi propriamente dito.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #4 Online: 13 de Novembro de 2017, 14:37 »
Após a remoção do repositório problemático, a atualização estacionou nessa linha:

0% [Conectando em archive.canonical.com (2001:67c:1360:8c01::1b)] [Conectando e

Das 14:21 até 14:28

Depois travou em:
0% [Conectando em security.ubuntu.com (2001:67c:1562::19)]                     
De 14:28 até 14:33

Isso é normal?
Não sei se considera isso erro ou apenas aviso:
E: The repository 'http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu artful Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

upgrade terminou normal.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #5 Online: 13 de Novembro de 2017, 14:46 »
Quando aparece um E é erro mesmo; aviso é quando aparece um W (warning)

O que está dizendo aí é que a ppa do handbrake não tem versão para o Ubuntu 17.10 Artful.

Respondi um tópico para você sobre o handbrake, parece que você não seguiu o que estava lá.  :)

Veja o post #6 desse seu tópico:

https://ubuntuforum-br.org/index.php/topic,122458.msg673033.html#msg673033

Precisa corrigir.

Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/stebbins-ubuntu-handbrake-releases-artful.list*
De novo:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade

Editando:

Parada para almoço...


www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #6 Online: 13 de Novembro de 2017, 15:31 »

O que está dizendo aí é que a ppa do handbrake não tem versão para o Ubuntu 17.10 Artful.

Respondi um tópico para você sobre o handbrake, parece que você não seguiu o que estava lá.  :)

Veja o post #6 desse seu tópico:

https://ubuntuforum-br.org/index.php/topic,122458.msg673033.html#msg673033

Precisa corrigir.

Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/stebbins-ubuntu-handbrake-releases-artful.list*
De novo:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade

Editando:

Parada para almoço...




Realmente eu não voltei naquele tópico depois que dei como resolvido. Agora vou fazer. Depois te reporto lá.
Quanto a este aqui, agora deu tudo certo.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #7 Online: 13 de Novembro de 2017, 18:05 »
Após a remoção do repositório problemático, a atualização estacionou nessa linha:

0% [Conectando em archive.canonical.com (2001:67c:1360:8c01::1b)] [Conectando e

Das 14:21 até 14:28

Depois travou em:
0% [Conectando em security.ubuntu.com (2001:67c:1562::19)]                     
De 14:28 até 14:33

Isso é normal?

Se essas demoras persistirem, desabilite o protocolo IPv6 nas configurações da conexão.

Click em:

Configurações do sistema/Network

Wired/No ícone da engrenagem

Na aba IPv6

IPv6 Method

Disable

Click no botão verde "Apply"

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #8 Online: 13 de Novembro de 2017, 18:20 »
[...] Quanto a este aqui, agora deu tudo certo.

Se tudo o mais agora está indo corretamente (update&upgrade), então volte a instalar o kodi.

Fiz aqui a instalação do Kodi no Ubuntu 17.10 Artful, a partir do repositório oficial do Ubuntu (não ppa), e está terminando com esse erro:

Errors were encountered while processing:
 /tmp/apt-dpkg-install-izq04J/19-kodi-repository-kodi_2%3a17.3+dfsg1-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Corrija fazendo:

Código: [Selecionar]
sudo apt-get install -f
repita:

Código: [Selecionar]
sudo apt install kodi
agora deverá terminar sem erro algum

Confirme a instalação do pacote básico fazendo:

Código: [Selecionar]
apt-cache policy kodi
Como você deve ter visto, existem uma série de outros pacotes complementares do kodi que podem ser úteis e/ou necessários dependendo do que queira fazer.

« Última modificação: 13 de Novembro de 2017, 19:09 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #9 Online: 13 de Novembro de 2017, 18:36 »
A lista de pacotes complementares do kodi no repositório oficial Ubuntu informa:

kodi - Open Source Home Theatre (executable binaries)
kodi-addons-dev - Open Source Home Theatre (Addons Dev package)
kodi-bin - Open Source Home Theatre (architecture-dependent files)
kodi-data - Open Source Home Theatre (arch-independent data package)
kodi-eventclients-common - Open Source Home Theatre (Event Client Common package)
kodi-eventclients-dev - Open Source Home Theatre (Event Client Dev package)
kodi-eventclients-kodi-send - Open Source Home Theatre (Event Client Kodi-SEND package)
kodi-eventclients-ps3 - Open Source Home Theatre (Event Client PS3 package)
kodi-eventclients-wiiremote - Open Source Home Theatre (Event Client WII Remote support package)
kodi-pvr-argustv - ARGUS TV PVR addon for Kodi
kodi-pvr-dvbviewer - DVBViewer Kodi PVR Addon
kodi-pvr-hdhomerun - HDHomeRun PVR Addon for Kodi
kodi-pvr-hts - Kodi PVR Addon TvHeadend Hts
kodi-pvr-iptvsimple - IPTV Simple Client Kodi PVR Addon
kodi-pvr-mediaportal-tvserver - MediaPortal's TV-Server PVR addon for Kodi
kodi-pvr-mythtv - MythTV PVR Addon for Kodi
kodi-pvr-nextpvr - NextPVR PVR addon for Kodi
kodi-pvr-njoy - NJOY PVR Addon for Kodi
kodi-pvr-vdr-vnsi - Kodi PVR Addon VDR VNSI
kodi-pvr-vuplus - Vu+/Enigma2 PVR Addon for Kodi
kodi-pvr-wmc - WMC PVR Addon for Kodi
kodi-repository-kodi - Open Source Home Theatre (official addons repository feed)
kodi-visualization-spectrum - Spectrum visualizer addon for Kodi
libkodiplatform-dev - Kodi platform support library -- development files
libkodiplatform16 - Kodi platform support library
vdr-plugin-vnsiserver - VDR plugin to provide PVR backend services for Kodi
vdr-plugin-vnsiserver-dbg - VDR plugin to provide PVR backend services for Kodi

Pacotes que terminam com a expressão -dev normalmente dizem respeito a desenvolvimento, isto é, normalmente servem para quem vai desenvolver alguma coisa, ou seja, programar algo, dentro do software.

Dos pacotes acima apenas a instalação do kodi-repository-kodi está apresentando dificuldades, na verdade é apenas uma sobreposição, ou seja, uma parte do conteúdo dele já existe em outros pacotes, então ocasiona um impasse.

Se quiser ou precisar instalar mesmo esse pacote (que não sei mais exatamente para que serve) vai precisar fazer dessa forma:

Código: [Selecionar]
sudo apt-get -o Dpkg::Options::="--force-overwrite" install kodi-repository-kodi
« Última modificação: 13 de Novembro de 2017, 19:18 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #10 Online: 14 de Novembro de 2017, 13:49 »
Caro Druida, acredito que fiz alguma coisa errada ontem. Pois de repente a página do fórum ficou inacessível.  No Google Chrome diz não é possível acessar esse site não foi possível encontrar o endereço DNS do servidor de ubuntuforum-br.org. o computador está conectado com rede cabeada. Porém quando uso wi-fi eu consigo.  O que está errado?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #11 Online: 14 de Novembro de 2017, 13:56 »
[...] de repente a página do fórum ficou inacessível.  No Google Chrome diz não é possível acessar esse site não foi possível encontrar o endereço DNS do servidor de ubuntuforum-br.org. o computador está conectado com rede cabeada. Porém quando uso wi-fi eu consigo.  O que está errado?

Coloque esse seu post de reclamação quanto a conseguir conectar com o Fórum nesse tópico, já que parece se tratar do mesmo assunto:

https://ubuntuforum-br.org/index.php/topic,122460.msg673114.html#msg673114

Vamos ver o que diz a Administração.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #12 Online: 14 de Novembro de 2017, 14:02 »
O engraçado é que conectado por wi-fi funciona, por cabo não:
Cabo:
htpc@htpc-ULTRATOP-BRIX:~$ sudo apt-get update
Err:1 http://repository.spotify.com stable InRelease
  Não foi possível resolver 'repository.spotify.com'
Err:2 http://ppa.launchpad.net/jd-team/jdownloader/ubuntu artful InRelease     
  Não foi possível resolver 'ppa.launchpad.net'
Err:3 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu artful InRelease           
  Não foi possível resolver 'ppa.launchpad.net'
Err:4 http://ppa.launchpad.net/webupd8team/java/ubuntu artful InRelease       
  Não foi possível resolver 'ppa.launchpad.net'

Wi-fi:
htpc@htpc-ULTRATOP-BRIX:~$ sudo apt-get update
[sudo] senha para htpc:
Atingido:1 http://br.archive.ubuntu.com/ubuntu artful InRelease               
Atingido:2 http://ppa.launchpad.net/jd-team/jdownloader/ubuntu artful InRelease
Atingido:3 http://br.archive.ubuntu.com/ubuntu artful-updates InRelease       
Atingido:4 http://repository.spotify.com stable InRelease                     
Atingido:5 http://br.archive.ubuntu.com/ubuntu artful-backports InRelease     
Atingido:6 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu artful InRelease     
Atingido:7 http://ppa.launchpad.net/webupd8team/java/ubuntu artful InRelease 

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #13 Online: 14 de Novembro de 2017, 14:09 »
Acho que interpretei errado o seu post, quando você disse que não estava conseguindo acessar o Fórum, pensei que estivesse falando em acessar o endereço do Fórum aqui, isto é, o domínio ubuntuforum-br.org (Fórum BR - Brasil), porém parece que você está falando outra coisa, não está conseguindo acessar não é o Fórum e sim os endereços de repositórios.

Se for isso mesmo, ou seja, está conseguindo abrir normalmente as páginas da internet, inclusive aqui do FórumBR e o problema for apenas de acesso a repositórios, se você seguiu o que eu disse no post #7 acima e desabilitou o IPv6 da conexão a cabo (=wired), entretanto, deixou habilitado da conexão wireless, o problema pode ser esse.

Se for esse o diagnóstico, experimente voltar a habilitar o IPv6 da conexão a cabo (=wired) para constatar se volta ou não a conectar com os endereços dos repositórios.
« Última modificação: 14 de Novembro de 2017, 14:11 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Erro ao instalar Kodi
« Resposta #14 Online: 14 de Novembro de 2017, 14:31 »
Não consegui ser claro, desculpe. O problema está nas duas frentes, repositórios e página, quando acessados via cabo de rede, que é o que sempre uso. Quando acesso via wi-fi o funcionamento da página e repositórios está normal.
Na verdade eu não segui as tuas instruções do post #7 naquele momento, porque não me importei com o problema. Mas agora fiz, e voltou ao normal. Ou melhor, ficou mais rápida a atualização de repositórios.